Package Details: dvdstyler 3.1.1-1

Git Clone URL: https://aur.archlinux.org/dvdstyler.git (read-only)
Package Base: dvdstyler
Description: Cross-platform DVD authoring application
Upstream URL: http://www.dvdstyler.de/
Licenses: GPL
Submitter: xyproto
Maintainer: artafinde
Last Packager: artafinde
Votes: 69
Popularity: 0.000051
First Submitted: 2011-12-14 17:00
Last Updated: 2019-06-26 07:24

Dependencies (16)

Required by (0)

Sources (1)

Latest Comments

1 2 3 4 5 6 ... Next › Last »

kozaki commented on 2018-07-17 07:24

Had to update wxSVG first (see migrev 2018-01-04 08:29 also) to compile:

  • with wxSVG 1.5.13-2:

    ... checking for wxSVG... yes checking for wxSVG library with ffmpeg/libav support... no configure: error: DVDStyler requires the wxSVG library with ffmpeg/libav support.

    ==> ERROR: A failure occurred in build()

  • with wxSVG 1.5.14:

    ... checking for wxSVG... yes checking for wxSVG library with ffmpeg/libav support... yes checking if wxWindows was linked with GTK2... yes ...

lemming commented on 2018-06-07 04:26

So I was able to compile this by changing line 226 in src/mediaenc_ffmpeg.cpp from CODEC_FLAG_GLOBAL_HEADER to AV_CODEC_FLAG_GLOBAL_HEADER

I had to spoof the pkgbuild sha1sums after recompressing the src.. only mildly annoying..

artafinde commented on 2018-05-29 18:46

You might need to rebuild the package or it's dependency wxgtk.

LukeLR commented on 2018-05-29 16:42

dvdstyler does not work anymore on my up-to-date system: It needs libavformat.so.57, libavcodec.so.57, libavutil.so.55 and libswscale.so.4, my system only has libavformat.so.58, libavcodec.so.58, libavutil.so.56 and libswscale.so.5. Probably because of the recent ffmpeg update? Why does pacman not complain about incompatible versions? Is ffmpeg even a dependency of dvdstyler?

rlmcclain commented on 2018-03-04 17:57

Done. Thanks for your help. I'm a recent convert to Arch (from Debian based distros) and loving it. But it does take a while to build some packages from AUR - several hours in this case. Thanks again for your support and maintaining this package.

artafinde commented on 2018-03-04 13:06

rlmcclain: SF.net is down again. (despite what the claim on their tweet)

rlmcclain commented on 2018-03-04 12:37

Failed with this sourceforge error: => Retrieving sources... -> Downloading DVDStyler-3.0.4.tar.bz2... % Total % Received % Xferd Average Speed Time Time Time Current Dload Upload Total Spent Left Speed 0 0 0 0 0 0 0 0 --:--:-- --:--:-- --:--:-- 0 curl: (22) The requested URL returned error: 404 Not Found ==> ERROR: Failure while downloading http://downloads.sourceforge.net/dvdstyler/3.0.4/DVDStyler-3.0.4.tar.bz2 Aborting...

artafinde commented on 2018-03-04 10:40

Bump to rebuild for new wxsvg. I've also included the makeflags during build. Let me know if you face issues during build.

nerdnils commented on 2018-01-04 19:43

worked, thank you

migrev commented on 2018-01-04 08:29

@nerdnils: Package is working for me, so can't really reproduce your error. But basically try by recompiling wxsvg first and then dvdstyler. Let's see is that fixes it.